Summary:        Image loading, saving, rendering, and manipulation library
Name:           imlib2
Version:        1.4.1
Release:        1
License:        Imlib2
Group:          System Environment/Libraries
URL:            http://docs.enlightenment.org/api/imlib2/html/
Source0:        http://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.bz2
# submitted to enlightenment-devel@lists.sourceforge.net
Patch0:         imlib2-1.3.0-loader_overflows.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libjpeg-devel, libpng-devel, libtiff-devel
BuildRequires:  giflib-devel, freetype2-devel >= 2.3.5, bzip2-devel,
BuildRequires:  libid3tag-devel, pkg-config, zlib-devel
BuildRequires:  patch
Requires:       libjpeg, libpng, libtiff
Requires:       giflib, freetype2 >= 2.3.5, bzip2
Requires:	zlib

%description
Imlib 2 is a library that does image file loading and saving as well
as rendering, manipulation, arbitrary polygon support, etc.  It does
ALL of these operations FAST. Imlib2 also tries to be highly
intelligent about doing them, so writing naive programs can be done
easily, without sacrificing speed.  This is a complete rewrite over
the Imlib 1.x series. The architecture is more modular, simple, and
flexible.

The library is available as 32-bit and 64-bit.


%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       freetype2-devel >= 2.3.5-1 pkg-config

%description devel
This package contains development files for %{name}.

Imlib 2 is a library that does image file loading and saving as well
as rendering, manipulation, arbitrary polygon support, etc.  It does
ALL of these operations FAST. Imlib2 also tries to be highly
intelligent about doing them, so writing naive programs can be done
easily, without sacrificing speed.  This is a complete rewrite over
the Imlib 1.x series. The architecture is more modular, simple, and
flexible.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%package id3tag-loader
Summary:        Imlib2 id3tag-loader
License:        GPLv2+
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libid3tag

%description id3tag-loader
This package contains a plugin which makes imlib2 capable of parsing id3 tags
of mp3 files. This plugin is packaged separately because it links with
libid3tag which is GPLv2+, thus making imlib2 and apps using it subject to the
conditions of the GPL version 2 (or at your option) any later version.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1 -b .overflow


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp ./src/lib/.libs/libImlib2.so.1 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/lib/.libs/libImlib2.a ./libImlib2.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f ${RPM_BUILD_ROOT}%{_bindir}/imlib2_test

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin lib include
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING AUTHORS README ChangeLog TODO
%{_bindir}/imlib2_*
%{_libdir}/*.a
%{_datadir}/%{name}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/filters/
%{_libdir}/%{name}/filters/*.a
%dir %{_libdir}/%{name}/loaders/
%{_libdir}/%{name}/loaders/[a-g,j-z]*.a


%files devel
%defattr(-,root,system,-)
%doc doc/*.gif doc/*.html
%{_bindir}/imlib2-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/%{name}/filters/*.la
%{_libdir}/%{name}/loaders/[a-g,j-z]*.la
%{_libdir}/pkgconfig/imlib2.pc


%files id3tag-loader
%defattr(-,root,system,-)
%{_libdir}/%{name}/loaders/id3.a
%{_libdir}/%{name}/loaders/id3.la


%changelog
* Sun Sep 14 2008 Michael Perzl <michael@perzl.org> - 1.4.1-1
- first version for AIX V5.1 and higher
